Get a Business Representative by ID
curl --request GET \
--url https://api.spherepay.co/v2/business-representative/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spherepay.co/v2/business-representative/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spherepay.co/v2/business-representative/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2026-03-10T00:00:08.986Z",
"customerId": "customer_2f283221a9d44ada800ac7f11f640402",
"id": "associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b",
"type": "individual",
"updatedAt": "2026-03-10T00:00:08.986Z",
"verificationProfiles": [
{
"criteria": {
"complete": [
"email_address",
"phone_number",
"residential_address",
"tax_identification_number",
"ownership_percentage",
"is_control_person",
"is_signer",
"relationship_established_at",
"title"
],
"errors": [],
"pending": [],
"required": [
"identity_document",
"liveness_report_document",
"proof_of_address_document"
]
},
"name": "ubo_kyc_profile_a",
"status": "incomplete"
}
],
"email": "james.wilson@acmecorp.example.com",
"phone": "+13125559876",
"representationDetails": {
"roles": [
"ubo"
],
"ownershipPercentage": "50",
"relationshipEstablishedAt": "2020-03-15",
"title": "CEO"
}
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Business Representatives
Retrieve a Business Representative by ID
Retrieve a business representative by their ID
Get a Business Representative by ID
Retrieve the full profile of a single business representative by their ID. The response includes the representative’s contact details, ownership stake, assigned roles, and a breakdown of their KYB verification criteria — showing which requirements are complete, which are still required, and any errors that need to be resolved before the representative can be approved.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Business Representative ID
Minimum string length:
1Example:
"associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b"
Response
The date and time the business representative was created.
Example:
"2026-03-10T00:00:08.986Z"
Customer ID
Example:
"customer_2f283221a9d44ada800ac7f11f640402"
Business Representative ID
Example:
"associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b"
Customer type
Available options:
individual Example:
"individual"
The date and time the business representative was last updated.
Example:
"2026-03-10T00:00:08.986Z"
Array of verification profiles for the business representative.
Show child attributes
Show child attributes
Example:
[
{
"criteria": {
"complete": [
"email_address",
"phone_number",
"residential_address",
"tax_identification_number",
"ownership_percentage",
"is_control_person",
"is_signer",
"relationship_established_at",
"title"
],
"errors": [],
"pending": [],
"required": [
"identity_document",
"liveness_report_document",
"proof_of_address_document"
]
},
"name": "ubo_kyc_profile_a",
"status": "incomplete"
}
]
Email address
Example:
"james.wilson@acmecorp.example.com"
Phone number
Example:
"+13125559876"
Representation details
Show child attributes
Show child attributes
Last modified on June 18, 2026